package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.admin.ResourceAllImagesListModel;
import com.lightinit.hsdataplatform.model.admin.ResourceAllImagesSearchModel;
import com.lightinit.hsdataplatform.model.admin.ResourceAllImgFreeParentModel;
import com.lightinit.hsdataplatform.model.admin.ResourceNoImgThemeListModel;

import java.util.List;

public interface IResourceShareImagesService {
    ResourceAllImgFreeParentModel findAll(ResourceAllImagesSearchModel inputModel);

    ResourceAllImgFreeParentModel findThemesByName(String themeCode);

    List<ResourceAllImagesListModel> findAllThemeList(ResourceNoImgThemeListModel inputModel);

    long findAllThemeListCount(ResourceNoImgThemeListModel inputModel);

    ResourceAllImgFreeParentModel findResourceById(String resourceId);

    ResourceAllImagesListModel resourceList(String resourceId);

    List<ResourceAllImagesListModel> findBasicsAllList(ResourceAllImagesSearchModel inputModel);

    long findBasicsAllListCount(ResourceAllImagesSearchModel inputModel);
}
